Package wx :: Module grid :: Class GridCellCoords

[frames | no frames]

## Type GridCellCoords

    object --+
             |
            GridCellCoords

Proxy of C++ GridCellCoords class

Method Summary
GridCellCoords | `__init__(self, r, c)`
| `__del__(self)`
bool | ``__eq__`(self, other)` Test for equality of GridCellCoords objects.
| `__getitem__(self, index)`
| `__len__(self)`
bool | ``__ne__`(self, other)` Test for inequality of GridCellCoords objects.
| `__repr__(self)`
| `__setitem__(self, index, val)`
| `__str__(self)`
| ``asTuple`(*args, **kwargs)` asTuple is deprecated, use `Get` instead
PyObject | `Get(self)`
int | `GetCol(self)`
int | `GetRow(self)`
| `Set(self, row, col)`
| `SetCol(self, n)`
| `SetRow(self, n)`

Property Summary
| `Col`: See `GetCol` and `SetCol`
| `Row`: See `GetRow` and `SetRow`
| `thisown`: The membership flag

Method Details

### __eq__(self, other)
(Equality operator)

Test for equality of GridCellCoords objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __ne__(self, other)

Test for inequality of GridCellCoords objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### asTuple(*args, **kwargs)

asTuple is deprecated, use `Get` instead

Property Details

### Col

See `GetCol` and `SetCol`

  Get Method:
    `GetCol`(self)
  Set Method:
    `SetCol`(self, n)

### Row

See `GetRow` and `SetRow`

  Get Method:
    `GetRow`(self)
  Set Method:
    `SetRow`(self, n)

### thisown

The membership flag

  Get Method:
    unknown--1218686932(...)
  Set Method:
    unknown--1218686876(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:22 2007 | http://epydoc.sf.net